## org.eclipse.jetty.servlet.api
Interface ServletRegistration

All Known Subinterfaces:
  ServletRegistration.Dynamic

All Known Implementing Classes:
  ServletHolder.Registration

    public interface ServletRegistration

Nested Class Summary
`static interface` `ServletRegistration.Dynamic`

Method Summary
`Set<String>` `addMapping(String... urlPatterns)`
`Collection<String>` `getMappings()`
`String` `getRunAsRole()`

Method Detail

### addMapping

    Set<String> addMapping(String... urlPatterns)

### getMappings

    Collection<String> getMappings()

### getRunAsRole

    String getRunAsRole()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.